module altera_gts_gray_bin #(
    parameter SIZE
) (
    input [SIZE-1:0]    gray,
    output [SIZE-1:0]   bin
);

genvar i;
generate
    for (i=0; i<SIZE; i=i+1) begin: gray_bin_combi
        assign bin[i] = ^(gray >> i);
    end
endgenerate

//always @* begin
//    for (int i=0; i<SIZE; i=i+1)
//        bin[i] = ^(gray >> i);
//end

endmodule
